# Copyright (c) 2016 BaseSoft B.V.
# See LICENSE for details.


from basesoft.web.contrib.file.schedule import AbstractImportFileTask
from we.declaration.controllers import WeDeclarationController
from we.declaration.importers import WeDeclarationAbstractImporter


class WeDeclarationImportTask(AbstractImportFileTask):
    """
    Background action for importing saved files with LPP declarations.
    """
    INTERVAL = 0
    QUEUE_IF_EXISTS = True
    controller = WeDeclarationController
    importer = WeDeclarationAbstractImporter


tasks = (WeDeclarationImportTask, )