'''
Created on Feb 9, 2015

@author: rado
'''
import math
from basesoft.web.contrib.file.models import File
from sqlalchemy.orm.session import object_session
from sqlalchemy import func

class WeDeclarationFile(File):
    """
    @DynamicAttrs
    """
    STATUS_UNPROCESSED = 1
    STATUS_PROCESSED = 2

    def __repr__(self):
        return '<WeDeclarationFile file_name="%s" hqpp_id="%s">' % (self.file_name, self.hqpp_id)

class WeDeclaration(object):
    """
    @DynamicAttrs
    """
    STATUS_INCOMPLETE = 1
    STATUS_COMPLETE = 2
    STATUS_EXPORTED = 3

    def __repr__(self):
        return '<WeDeclaration id="%s" file_id="%s" lpp_id="%s">' % (self.id, self.file_id, self.lpp_id)


class WeDeclarationLine(WeDeclaration):
    """
    @DynamicAttrs
    """

    def __repr__(self):
        return '<WeDeclarationLine index="%s" declaration_id="%s">' % (self.position, self.declaration_id)